Will photoshop elements 12 work with OSX v10.6.8 (Snow Leopard)?

Adobe Photoshop Elements 12

Adobe Photoshop Elements 12

Product No Longer Available

1 Answer from the Community

  • Best Answer:

    Unfortunately not, Photoshop Elements 12 requires OS X v10.7 Lion as a minimum.